<?php
/**
 * File for viewing a particular item information
 *
 * $Horde: thor/view_item.php,v 1.7 2005/01/03 14:35:33 jan Exp $
 *
 * Copyright 2003-2005 Carlos Pedrinaci <cpedrinaci@yahoo.es>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('THOR_BASE', dirname(__FILE__));
require_once THOR_BASE . '/lib/base.php';

/* If we aren't provided with an item, redirect to the projects list. */
$itemID = Util::getFormData('item_id');
if (!isset($itemID)) {
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

// If the item doesn't exist redirect to the list
$item = &$thor->_itemsContainer->getItem($itemID);
if (!$item) {
    $notification->push(_("Item not found."),'horde.warning');
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

$title = _("Item details");
require THOR_TEMPLATES . '/common-header.inc';
require THOR_TEMPLATES . '/menu.inc';

// Show a short summary of the Project information
$projectID = $item->get('project_id');
$project = &$thor->_projectsContainer->getProject($projectID);
if (!$project) {
    $notification->push(_("Project not found."),'horde.warning');
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}
$project->showInformation(false, true);
// Show the item information
$item->showInformation(true);

require $registry->get('templates', 'horde') . '/common-footer.inc';